## debian-edu-config 2.10.58

=== debian/changelog ===
debian-edu-config (2.10.58) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Improve share/ltsp/plugin/ltsp-build-client/Debian-custom/032-edu-pkgs:
    - Generate list of actually installed packages intended to be purged.
    - Purge selected packages to make LTSP clients work.

  [ Holger Levsen ]
  * 032-edu-pkgs: minor refactoring.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Jan 2019 15:02:50 +0100

debian-edu-config (2.10.57) unstable; urgency=medium

  * 032-edu-pkgs: fix typo.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Jan 2019 02:23:45 +0100

debian-edu-config (2.10.56) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs:
    - Don't let apt-get fail in case a package isn't installed.
  * Improve share/debian-edu-config/tools/update-cert-dbs:
    - Extend the script's scope; there might be more home dirs than just home0.
    - Let the script provide more useful logging information.

  [ Holger Levsen ]
  * share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs:
    - Merge those ten apt-get purge calls into one.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Jan 2019 18:02:03 +0100

=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Wolfgang Schweer <wschweer@arcor.de>,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 11)
Build-Depends-Indep: po-debconf,
                     po4a,
                     help2man,
                     libfilesys-df-perl
Homepage: http://www.skolelinux.org
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-config
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-config

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends},
         lsb-base (>= 3.0-6),
         bind9-host,
         cfengine3,
         debconf-utils,
         debian-edu-artwork,
         desktop-profiles,
         e2fsprogs,
         education-tasks,
         fping,
         isenkram-cli,
         ldap-utils,
         ldapscripts,
         libconfig-inifiles-perl,
         libfilesys-df-perl,
         libhtml-fromtext-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libnet-netmask-perl,
         libnss3-tools,
         libpacparser1,
         libpam-python,
         libproxy1-plugin-kconfig,
         libproxy1-plugin-webkit,
         libproxy1-plugin-networkmanager,
         libterm-readkey-perl,
         libtext-unaccent-perl,
         lockfile-progs,
         lsb-release,
         mime-support,
         net-tools,
         netcat,
         ng-utils,
         openssl,
         patch,
         python,
         python-notify,
         ssl-cert,
         swaks,
         tftp-hpa | tftp,
         uuid,
Recommends: binutils,
            libnotify-bin,
            lsof,
            memtest86+,
            resolvconf,
            syslinux
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

## debian-edu-config 2.10.59

=== debian/changelog ===
debian-edu-config (2.10.59) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-config.fetch-ldap-cert:
    - Adjust condition now that ldap.conf isn't modified any longer.
  * etc/debian-edu/pxeinstall.conf and etc/debian-edu/pxeinstall.conf:
    - Adjust PXE installation settings; prefer amd64 i386 order over i386 amd64
      for the PXE menu, use nbd0 instead of nfs as LTSP root device value.
  * etc/ltsp/ltsp-build-client.conf:
    - Add commented option for the sources.list file.
  * cf3/cf.workarounds:
    - Remove LXQt related workaround now that bug #914345 has been fixed.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Feb 2019 01:18:59 +0100

## debian-edu-config 2.10.60

=== debian/changelog ===
debian-edu-config (2.10.60) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-config.chromium-ldapconf: Remove slapd start requirement.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Feb 2019 15:00:57 +0100

## debian-edu-config 2.10.62

=== debian/changelog ===
debian-edu-config (2.10.62) unstable; urgency=medium

  * get-ldap-ltsp-config: Fix detection of MAC address.
  * get-ldap-ltsp-config: Fix extraction of ltspConfig from LDAP.
  * update-hostname-from-ip: Always print hostname if -n is used.
  * Add myself as Uploader.

 -- Dominik George <natureshadow@debian.org>  Fri, 01 Mar 2019 12:50:01 +0100

debian-edu-config (2.10.61) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * cf3/cf.workarounds:
    - Provide Xfce screensaver for LTSP clients (workaround for bug #922718,
      fixed in experimental but unlikely to be fixed in Buster).
  * Improve LDAP server certificate check:
    - tools/create-debian-edu-certs:
      Make /etc/debian-edu/www/debian-edu-bundle.{crt,pem} downloadable.
    - debian-edu-config.fetch-ldap-cert:
      Verify the LDAP server cert using the downloaded Debian-Edu_rootCa one.
  * testsuite/{ldap-client,ldap-server,sudo,webcache,webserver}:
    - Fix scripts to match the recent configuration changes.

  [ Holger Levsen ]
  * www/index* and www/*.po: replace http://popcon.skolelinux.org with
    https://popcon.debian.org as the former is unmaintained.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Feb 2019 18:28:43 +0100

## debian-edu-config 2.10.63

=== debian/changelog ===
debian-edu-config (2.10.63) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust sbin/debian-edu-pxeinstall. (Closes: #924927)
    - Set d-i version to 10, now that debian-installer-10-netboot is in Buster.

 -- Holger Levsen <holger@debian.org>  Thu, 21 Mar 2019 11:57:41 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>,
            Wolfgang Schweer <wschweer@arcor.de>,
+           Dominik George <natureshadow@debian.org>,
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 11)

## debian-edu-config 2.10.64

=== debian/changelog ===
debian-edu-config (2.10.64) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * etc/ltsp/ltsp-build-client.conf: Add DIST="buster". (Closes: #926183)
    - Make sure the LTSP chroot installation works for all possible scenarios.
  * cf3/cf.finalize: Use XDG instead of desktop-profiles. (Closes: #926184)
    - Make sure desktop-profiles are disabled and use XDG as a more general
      approach. This is needed for LXQt to work without user interaction.
  * tools/gosa-sync-dns-nfs: Make tool more robust. (Closes: #926186)
    - Invalidate the nscd netgroup cache to make NFS homedir mount more robust.

 -- Holger Levsen <holger@debian.org>  Tue, 02 Apr 2019 10:54:26 +0200

## debian-edu-config 2.10.65

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	update-ini-file

SPROGS = debian-edu-fsautoresize \
	debian-edu-ltsp \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cf3dir     = $(sysconfdir)/cfengine3/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
slbackupphpdir = $(sysconfdir)/slbackup-php
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var
wwwdir     = /etc/debian-edu/www


CF3FILES = \
	cf.adduser \
	cf.apache2 \
	cf.cups \
	cf.desktop-networked \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.firefox-esr \
	cf.finalize \
	cf.grub \
	cf.chromium \
	cf.inetd \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.ldapscripts \
	cf.bind \
	cf.pxeinstall \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.sshd \
	cf.syslog \
	cf.tftpd \
	cf.workarounds \
	cf.xrdp \
	edu.cf \
	promises.cf

# Files to install in /etc/
SYSCONFFILES = \
	apt/apt.conf.d/99-edu-prefer-firefox \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern \
	bind/db.subnet01.intern \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/06debian-edu-firefox-ltsp \
	X11/Xsession.d/09debian-edu-missing-home \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/55lightdm_gtk-greeter-rc \
	debian-edu/nightkill.conf \
	debian-edu/pxeinstall.conf \
	default/munin-node \
	default/ldap2zone \
	chromium/policies/managed/chromium-networked-prefs \
	cups/cupsd-debian-edu.conf \
	cups/cups-files-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/autofs-reload \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
	dhcp/dhclient-exit-hooks.d/hostname \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	dovecot/local.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	firefox-esr/debian-edu.js \
	php/apache2/php-debian-edu.ini \
	insserv/overrides/ntp \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-debian-edu.conf \
	ltsp/ltsp-build-client.conf \
	network/if-up.d/hostname \
	network/if-up.d/wpad-proxy-update \
	samba/netlogon/1stlogon/1stlogon.bat \
	samba/netlogon/config/get_time.bat \
	samba/netlogon/config/penguin.bat \
	samba/netlogon/config/setglobals.bat \
	samba/netlogon/config/standarddrives-students.bat \
	samba/netlogon/config/standarddrives-teachers.bat \
	samba/netlogon/debian-edu-login.bat \
	samba/netlogon/_default_/default.bat \
	samba/netlogon/install/shortcut.vbs \
	samba/netlogon/logon-admins.bat \
	samba/netlogon/logon-jradmins.bat \
	samba/netlogon/logon-students.bat \
	samba/netlogon/logon-teachers.bat \
	samba/netlogon/mozilla/firefox/prefs.js \
	samba/netlogon/mozilla/mkmozapd.bat \
	samba/netlogon/mozilla/profiles.ini.FIREFOX \
	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
	samba/smb-debian-edu.conf \
	samba/samba-domain-policy.ldif \
	slbackup-php/config.php \
	smbldap-tools/smbldap_bind.conf \
	smbldap-tools/smbldap.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default.conf \
	apache2/sites-available/debian-edu-ssl-default.conf \
	apache2/conf-available/debian-edu-config-doc.conf \
	apache2/include/debian-edu-ldapauth.inc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf \
	nbd-server/conf.d/debian-edu.conf

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	ltspfs/mounter.d/edu-notify \
	mklocaluser.d/20-debian-edu-config \
	NetworkManager/dispatcher.d/02debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	resolvconf/update.d/ltsp-chroots \
	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
	X11/Xsession-debian-edu \
	samba/smbaddclient.sh

SCHEMAS = \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	firstuser.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldap2netgroup \
	ldap-debian-edu-install \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.da \
	index.html.de \
	index.html.en \
	index.html.es_ES \
	index.html.fr \
	index.html.id \
	index.html.it \
	index.html.ja \
	index.html.no_NB \
	index.html.nl \
	index.html.pt \
	index.html.pt_BR \
	index.html.ro \
	index.html.ru \
	index.html.zh \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$prog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

	set -e ; for cf3 in $(CF3FILES); do \
		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/create-debian-edu-certs \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/setup-cfengine3 \
		share/debian-edu-config/tools/debian-edu-bless \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-modify-host \
		share/debian-edu-config/tools/gosa-remove-host \
		share/debian-edu-config/tools/gosa-lock-user \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/gosa-unlock-user \
		share/debian-edu-config/tools/firefox-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap2bind-updatezonelist \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldappasswd2 \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ltsp-addfirmware \
		share/debian-edu-config/tools/ltsp-update-resolvconf \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/package-disk-usage \
		share/debian-edu-config/tools/password-fix-squeeze-r0 \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \
		share/debian-edu-config/tools/pxe-addfirmware \
		share/debian-edu-config/tools/run-at-firstboot \
		share/debian-edu-config/tools/setup-ad-client \
		share/debian-edu-config/tools/setup-roaming \
		share/debian-edu-config/tools/show-welcome-webpage \
		share/debian-edu-config/tools/sssd-generate-config \
		share/debian-edu-config/tools/squid-update-cachedir \
		share/debian-edu-config/tools/subnet-change \
		share/debian-edu-config/tools/update-cert-dbs \
		share/debian-edu-config/tools/update-firefox-homepage \
		share/debian-edu-config/tools/update-chromium-homepage \
		share/debian-edu-config/tools/update-proxy-from-wpad \
		share/debian-edu-config/tools/wpad-extract \
		share/debian-edu-config/tools/ldap-server-getcert \
		share/debian-edu-config/tools/exim4-create-environment \
		share/debian-edu-config/tools/edu-ldap-from-scratch \
		share/debian-edu-config/tools/create-user-nssdb \
		share/debian-edu-config/tools/copy-host-keytab \
		share/debian-edu-config/tools/improve-desktop-l10n \
		share/debian-edu-config/tools/install-task-pkgs \
		share/debian-edu-config/ltspfs-mounter-kde \
		share/debian-edu-config/squid.resolvconf \
		share/ltsp/get-ldap-ltsp-config \
		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in \
		share/ltsp/init-ltsp.d/08-edu-hostname \
		share/ltsp/init-ltsp.d/09-edu-ldap-config \
		share/ltsp/init-ltsp.d/60-edu-client \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/020-rootpath \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/098-etckeeper \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

	set -e ; for f in \
		share/debian-edu-config/rsyslog-collector \
		share/debian-edu-config/firefox-networked-prefs.js \
		share/debian-edu-config/squid.conf \
		share/debian-edu-config/ssl.cnf \

=== debian/changelog ===
debian-edu-config (2.10.65) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Depend on gnutls-bin. (Closes: #926949)

 -- Holger Levsen <holger@debian.org>  Fri, 12 Apr 2019 22:13:55 +0200

## debian-edu-config 2.10.65%2Bdeb10u7

=== Makefile ===
--- 
+++ 
@@ -102,8 +102,6 @@
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-debian-edu.conf \
 	ltsp/ltsp-build-client.conf \
-	network/if-up.d/hostname \
-	network/if-up.d/wpad-proxy-update \
 	samba/netlogon/1stlogon/1stlogon.bat \
 	samba/netlogon/config/get_time.bat \
 	samba/netlogon/config/penguin.bat \
@@ -162,6 +160,7 @@
 	nbd-server/conf.d/debian-edu.conf
 
 LIBFILES = \
+	thunderbird/distribution/policies.json \
 	mime/packages/debian-edu-mailcap
 
 SYSCONFSCRIPTS = \
@@ -247,6 +246,7 @@
 	install -d $(DESTDIR)$(ldapdir)
 	install -d $(DESTDIR)$(dhcpdir)
 	install -d $(DESTDIR)$(mailcapdir)
+	install -d $(DESTDIR)$(libdir)
 
 # program's manpages are autodetected. 
 	set -e ; for prog in $(PROGS); do \
@@ -288,6 +288,7 @@
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
 		share/debian-edu-config/tools/passwd \
+		share/debian-edu-config/tools/clean-up-host-keytabs \
 		share/debian-edu-config/tools/create-debian-edu-certs \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
@@ -375,4 +376,3 @@
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
-		share/debian-edu-config/ssl.cnf \

## debian-edu-config 2.10.65+deb10u1

=== Makefile ===
--- 
+++ 
@@ -102,6 +102,7 @@
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-debian-edu.conf \
 	ltsp/ltsp-build-client.conf \
+	network/if-up.d/wpad-proxy-update \
 	samba/netlogon/1stlogon/1stlogon.bat \
 	samba/netlogon/config/get_time.bat \
 	samba/netlogon/config/penguin.bat \
@@ -160,7 +161,6 @@
 	nbd-server/conf.d/debian-edu.conf
 
 LIBFILES = \
-	thunderbird/distribution/policies.json \
 	mime/packages/debian-edu-mailcap
 
 SYSCONFSCRIPTS = \
@@ -246,7 +246,6 @@
 	install -d $(DESTDIR)$(ldapdir)
 	install -d $(DESTDIR)$(dhcpdir)
 	install -d $(DESTDIR)$(mailcapdir)
-	install -d $(DESTDIR)$(libdir)
 
 # program's manpages are autodetected. 
 	set -e ; for prog in $(PROGS); do \
@@ -288,7 +287,6 @@
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
 		share/debian-edu-config/tools/passwd \
-		share/debian-edu-config/tools/clean-up-host-keytabs \
 		share/debian-edu-config/tools/create-debian-edu-certs \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
@@ -376,3 +374,5 @@
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
+		share/debian-edu-config/ssl.cnf \
+		share/debian-edu-config/sslCA.cnf \

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u1) buster; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust ltsp-build-client/Debian-custom/001-ltsp-setting. (Closes: #928756)
    - Use PXE option 'ipappend 2' for LTSP client boot. This option makes sure
      that all DHCP server information is getting through to LTSP clients.
      (LTSP used this option before, but switched to 'ipappend 3' during the
      Buster development cycle to ease setups with ProxyDHCP.)
  * Adjust share/debian-edu-config/sudo-ldap.conf. (Closes: #929964)
    - Fix sudo-ldap configuration. (The LDAP URI is needed on LDAP clients.)
  * Set environment variable to deal with Firefox profile. (Closes: #930122)
    This is a workaround for bug #930125, preventing firefox-esr startup issues
    if the mozilla profile is on an NFS share).
    - Ship share/debian-edu-config/edu-firefox-nfs with NSS_SDB_USE_CACHE="yes"
      as content. Thanks to Mike Gabriel for spotting the issue and providing
      this information.
    - Add instructions to cf3/cf.workarounds to link the 'edu-firefox-nfs' file
      to appropriate files below '/etc/X11/Xsession.d' and '/etc/profile.d'.
  * Adjust cf3/cf.homes: Set correct LTSP chroot path. (Closes: #931680)
    - While the reported arch is i686, LTSP uses i386. Set arch accordingly.
  * Adjust share/debian-edu-config/tools/kerberos-kdc-init. (Closes: #931366)
    - Remove outdated (and now wrong) logging section.
  * Fix loss of dynamically allocated v4 IP address. (Closes: #933580)
    - Drop etc/network/if-up.d/hostname. This script doesn't work anymore due
      to changed behaviour of the ifupdown/dhclient/systemd combination and now
      also causes the loss of a dynamically allocated ipv4 IP address after 20
      to 30 minutes after booting.
    - Add code to d/debian-edu-config.postinstall to implement the intended
      hostname update just after rebooting the system after a change.
    - Adjust Makefile.
  * Provide Debian Edu RootCA certificate for download. (Closes: #933183)
    - Adjust share/debian-edu-config/tools/create-debian-edu-certs to copy the
      rootCA file to the web server directory at certificate generation time.
    - Adjust cf3/cf.finalize to care for the rootCA file as well.
    - Adjust cf3/cf.workarounds to copy the rootCA file to the web server
      directory upon main server upgrade.
  * Add LDAP server certificate to the initial LTSP NBD image. (Closes: #932828)
    - etc/ltsp/ltsp-build-client.conf: Don't create the image by default.
    - cf3/edu.cf: Define new class 'ltspimages'.
    - cf3/cf.finalize: Add code to include the LDAP server certificate for all
      possible use cases, to generate the image and to adjust various rights.
  * Changes to debian-edu-config.fetch-ldap-cert from 2.10.67).
    - Use independent conditions to make sure that the LDAP server certificate
      is only downloaded once for both host and LTSP chroot. (Closes: #934380)
    - Add code to validate the LDAP server certificate in case the Debian Edu
      RootCA certificate is available for download.

  [ Mike Gabriel ]
  * Changes to debian-edu-config.fetch-ldap-cert (from 2.10.66):
    - Make the script (and with it Debian Edu buster workstations) work in a
      Debian Edu environment where the main server (TJENER) is still on Debian
      Edu 8 or 9. (Closes: #926933)
    - Retrieve TJENER's PKI server certificate only once per host to improve
      security. This re-introduces the behaviour of fetch-ldap-cert in stretch
      and earlier. (Closes: #931413).
  * Changes to debian-edu-config.fetch-ldap-cert (from 2.10.67):
    - White-space-only change: Fix broken and inconsistent indentations.
    - Fully inline-document fetch-ldap-cert script.
    - Add "-f" option to all curl calls that don't have it set so far.
      This assures that curl bails out with a non-zero exit code, if anything
      goes wrong while retrieving certificate files.
    - Also report a successful certificate verification if we verified the
      LDAP server certificate using the Debian Edu RootCA.
    - Really check that the LDAP server uses a certificate issued by the
      "Debian Edu RootCA", not just by (some) "RootCA".
    - Add 2x FIXME about BUNDLECRT file removal from host and from LTSP chroots.
    - LTSP chroot certificate copying: only log those actions, if they are
      actually about to happen..
    - Silence curl stderr and gnutls-cli stdout+stderr.
    - Certificate retrieval: Fix upgrade path for RootCA deployment. Re-run
      CERTFILE (and ROOTCACRT retrieval) until we have both on the client.
      This will lead to repetitive downloads of the CERTFILE on system boot.
      To get rid of this, people must upgrade their TJENERs from Debian Edu
      10.0 to 10.1. Then it will stop. This hack is necessary to assure
      distribution of the RootCA to all clients that don't have it, yet.
    - Detach dependency of ROOTCACRT chroot copying and BUNDLECRT chroot
      copying from chroot copying of the CERTFILE. The chroot may have the
      CERTFILE, but not the ROOTCACRT, yet. This assures a smooth upgrade
      path from Debian Edu 10.0 to Debian Edu 10.1.
    - Do a simple validity check if a directory under /opt/ltsp really is
      a chroot (and e.g. not the SquashFS images' directory).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Aug 2019 20:14:26 +0200

## debian-edu-config 2.10.65+deb10u2

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u2) buster; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust share/debian-edu-config/d-i/finish-install: (Closes: #941574)
    - Use 'dpkg-reconfigure -u --no-reload debian-edu-config' to add post-up
      stanza to /etc/network/interfaces eth0 entry conditionally.
  * Cope with Firefox-ESR ini files that need to be different (as of version
    68.2.0esr) to further allow centralized configuration: (Closes: #944013)
    - Add share/debian-edu-config/profiles.ini.ff (Firefox-ESR profiles.ini).
    - Add share/debian-edu-config/installs.ini (now needed in addition for users
      that don't have a Firefox-ESR profile, i.e. new users).
    - Adjust share/debian-edu-config/tools/gosa-create which is used to copy
      the related Firefox-ESR ini files.
    - Ajust Makefile.
    - Adjust ldap-tools/ldap-debian-edu-install (fix for the first user).

 -- Holger Levsen <holger@debian.org>  Sat, 09 Nov 2019 14:42:37 +0800

## debian-edu-config 2.10.65+deb10u3

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u3) buster-security; urgency=high

  * Security fix for CVE-2019-3467

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Set proper rights for users in kadm5.acl file. (Closes: #946797)
  * Adjust debian/debian-edu-config.postinst to fix kadm5.acl upon upgrades.

  [ Holger Levsen ]
  * Improve debian/debian-edu-config.postinst fix to only run once on
    upgrades.

  [ Dominik George ]
  * Add NEWS to warn administrators with possible local changes.

 -- Dominik George <natureshadow@debian.org>  Mon, 16 Dec 2019 16:29:19 +0100

## debian-edu-config 2.10.65+deb10u4

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u4) buster; urgency=medium

  [ Dominik George ]
  * Keep proxy settings on client if wpad is unreachable (Closes: #941001).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 17:23:38 +0100

## debian-edu-config 2.10.65+deb10u5

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u5) buster; urgency=medium

  [ Wolfgang Schweer ]
  * Add policies files for Firefox-ESR and Thunderbird to fix the TLS/SSL setup.
    This makes sure that the Debian-Edu_rootCA.crt file gets installed as
    trusted certificate for Firefox-ESR and Thunderbird. (Already fixed in
    Bullseye.)
    - Add share/firefox-esr/distribution/policies.json (Closes: #944450).
    - Add lib/thunderbird/distribution/policies.json (Closes: #955978).
    - Adjust Makefile accordingly.

 -- Holger Levsen <holger@debian.org>  Thu, 16 Apr 2020 02:34:38 +0200

## debian-edu-config 2.10.65+deb10u5+nmu1

=== Makefile ===
--- 
+++ 
@@ -161,6 +161,7 @@
 	nbd-server/conf.d/debian-edu.conf
 
 LIBFILES = \
+	thunderbird/distribution/policies.json \
 	mime/packages/debian-edu-mailcap
 
 SYSCONFSCRIPTS = \
@@ -246,6 +247,7 @@
 	install -d $(DESTDIR)$(ldapdir)
 	install -d $(DESTDIR)$(dhcpdir)
 	install -d $(DESTDIR)$(mailcapdir)
+	install -d $(DESTDIR)$(libdir)
 
 # program's manpages are autodetected. 
 	set -e ; for prog in $(PROGS); do \
@@ -374,5 +376,3 @@
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
-		share/debian-edu-config/ssl.cnf \
-		share/debian-edu-config/sslCA.cnf \

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u5+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:18 +0800

## debian-edu-config 2.10.65+deb10u6

=== Makefile ===
--- 
+++ 
@@ -102,7 +102,6 @@
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-debian-edu.conf \
 	ltsp/ltsp-build-client.conf \
-	network/if-up.d/wpad-proxy-update \
 	samba/netlogon/1stlogon/1stlogon.bat \
 	samba/netlogon/config/get_time.bat \
 	samba/netlogon/config/penguin.bat \
@@ -376,3 +375,4 @@
 		share/debian-edu-config/rsyslog-collector \
 		share/debian-edu-config/firefox-networked-prefs.js \
 		share/debian-edu-config/squid.conf \
+		share/debian-edu-config/ssl.cnf \

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u6) buster; urgency=medium

  [ Wolfgang Schweer ]
  * Fix loss of dynamically allocated v4 IP address. (Closes: #966129)
    - Drop etc/network/if-up.d/wpad-proxy-update. This script fails to work due
      to changed behaviour of the ifupdown/dhclient/systemd combination and now
      also causes the loss of a dynamically allocated ipv4 IP address about 30
      minutes after booting.
    - Add code to d/debian-edu-config.postinstall to implement the intended
      proxy setting update after a WPAD change just after rebooting the system.
      (It would otherwise happen at first DHCP lease renewal ~15 minutes later.)
    - Adjust Makefile and debian/dirs.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Jul 2020 15:13:43 +0200

## debian-edu-config 2.10.65+deb10u7

=== www/Makefile ===
#
# To migrate one of the existing HTML based translations to .po based
# translation, make sure this command work:
#   po4a-gettextize -M UTF-8 -f xhtml -m index.html.en -L UTF-8 -l index.html.XX -p XX.po
# For this to work, the index.html.XX need to be valid XHTML, and have the same structure
# as the english original.  xmllint can be used to find XML errors.

WEBPAGES = \
  index.html.da \
  index.html.de \
  index.html.en \
  index.html.ca \
  index.html.es_ES \
  index.html.nl \
  index.html.no_NB \
  index.html.fr \
  index.html.id \
  index.html.it \
  index.html.ja \
  index.html.pt \
  index.html.pt_BR \
  index.html.ro \
  index.html.ru \
  index.html.zh 

all: $(WEBPAGES)

$(WEBPAGES): %.po

%.po: index.html.en
	po4a po4a.cfg

stats:
	@echo "www translations"
	@for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done
	@echo "debconf translations"
	@cd ../debian/po; for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done

clean:

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u7) buster; urgency=medium

  [ Mike Gabriel ]
  * share/debian-edu-config/tools/clean-up-host-keytabs: Add script.
    Move host keytabs cleanup code out of gosa-modify-host into a standalone
    script, but still call it from there (for now). Major script improvement:
    Reduce LDAP calls to a single ldapsearch query which greatly improves the
    execution speed of the code. (Closes: #935080).

 -- Holger Levsen <holger@debian.org>  Mon, 25 Jan 2021 14:09:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/debian-edu-config

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

override_dh_installinit:
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script firefox-ldapconf -r --no-start
	dh_installinit --init-script chromium-ldapconf -r --no-start
	dh_installinit --init-script enable-nat --no-start

override_dh_installman:
	dh_installman
	help2man -s 8 -N -n "debian-edu-fsautofssize - automatically resize filesystems" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/sbin/debian-edu-fsautoresize \
		> debian/debian-edu-config/usr/share/man/man8/debian-edu-fsautoresize.8
	help2man -N -n "ldap-add-host-to-netgroup - Adds a host as a member in the given netgroup" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-host-to-netgroup \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-host-to-netgroup.1
	help2man -N -n "ldap-add-user-to-group - Adds a user as a member in the given group" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-add-user-to-group \
		> debian/debian-edu-config/usr/share/man/man1/ldap-add-user-to-group.1
	help2man -N -n "ldap-createuser-krb5 - Create a user and configure its kerberos principal" \
		--help-option="-h" \
		--no-discard-stderr debian/debian-edu-config/usr/bin/ldap-createuser-krb5 \
		> debian/debian-edu-config/usr/share/man/man1/ldap-createuser-krb5.1

## debian-edu-config 2.10.65+deb10u8

=== Makefile ===
--- 
+++ 
@@ -266,6 +266,7 @@
 	done
 
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
+	$(INSTALL_DATA) README.public_html_with_PHP-CGI+suExec.md $(DESTDIR)$(docdir)/README.public_html_with_PHP-CGI+suExec.md
 
 	set -e ; for cf3 in $(CF3FILES); do \
 		$(INSTALL_DATA) cf3/$$cf3 $(DESTDIR)$(cf3dir)/$$cf3; \
@@ -288,6 +289,7 @@
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
 		share/debian-edu-config/tools/passwd \
+		share/debian-edu-config/tools/clean-up-host-keytabs \
 		share/debian-edu-config/tools/create-debian-edu-certs \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
@@ -372,7 +374,3 @@
 	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
 
 	set -e ; for f in \
-		share/debian-edu-config/rsyslog-collector \
-		share/debian-edu-config/firefox-networked-prefs.js \
-		share/debian-edu-config/squid.conf \
-		share/debian-edu-config/ssl.cnf \

=== debian/changelog ===
debian-edu-config (2.10.65+deb10u8) buster-security; urgency=medium

  * etc/apache2/mods-available/debian-edu-userdir.conf:
    - White-space cleanup (tabs and spaces mixed).
    - CVE-2021-20001: Disable built-in PHP engine.
    - Add warning to not re-enable PHP interpretation in user dirs (with
      reference to our README).
  * README.public_html_with_PHP-CGI+suExec.md:
    - Provide documentation on how to enable suExec support in https userdirs
      (i.e. ~/public_html).
  * debian/NEWS:
    + Add file, inform about PHP being disabled in Apache2 user directories.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Feb 2022 16:22:12 +0100

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
          e2fsprogs,
          education-tasks,
          fping,
+         gnutls-bin,
          isenkram-cli,
          ldap-utils,
          ldapscripts,
